/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.component.common;

import javax.jbi.JBIException;

public class PEtALSComponentSDKException extends JBIException {

    /**
     * 
     */
    private static final long serialVersionUID = 1494074986698995541L;

    /**
     * 
     */
    
    public PEtALSComponentSDKException(String message, Throwable cause) {
        super(message, cause);
    }

    public PEtALSComponentSDKException(String message) {
        super(message);
    }

    public PEtALSComponentSDKException(Throwable cause) {
        super(cause);
    }
}
