/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockRobustInOnly.java 1089 2006-09-14 19:57:55Z dutoo $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.engine.csv.Mock;

import java.net.URI;
import java.util.Set;

import javax.jbi.messaging.ExchangeStatus;
import javax.jbi.messaging.Fault;
import javax.jbi.messaging.MessagingException;
import javax.jbi.messaging.NormalizedMessage;
import javax.jbi.messaging.RobustInOnly;
import javax.jbi.servicedesc.ServiceEndpoint;
import javax.xml.namespace.QName;

/**
 * Mock of the RobustInOnly
 * 
 * @version $Rev: 1069 $Date: ${date}
 * @since   Petals 1.0
 * @author Marc Dutoo - Open Wide
 * 
 */
public class MockRobustInOnly implements RobustInOnly{

    public NormalizedMessage getInMessage() throws IllegalStateException {
        return null;
    }

    public void setInMessage(NormalizedMessage msg) throws MessagingException {
    }

    public Fault createFault() throws MessagingException {
        return null;
    }

    public NormalizedMessage createMessage() throws MessagingException {
        return new MockNormalizedMessage();
    }

    public ServiceEndpoint getEndpoint() {
        return null;
    }

    public Exception getError() {
        return null;
    }

    public String getExchangeId() {
        return null;
    }

    public Fault getFault() {
        return null;
    }

    public QName getInterfaceName() {
        return null;
    }

    public NormalizedMessage getMessage(String name) {
        return null;
    }

    public QName getOperation() {
        return null;
    }

    public URI getPattern() {
        return null;
    }

    public Object getProperty(String name) {
        return null;
    }

    public Set getPropertyNames() {
        return null;
    }

    public Role getRole() {
        return null;
    }

    public QName getService() {
        return null;
    }

    public ExchangeStatus getStatus() {
        return ExchangeStatus.DONE;
    }

    public boolean isTransacted() {
        return false;
    }

    public void setEndpoint(ServiceEndpoint endpoint) {
    }

    public void setError(Exception error) {
    }

    public void setFault(Fault fault) throws MessagingException {
    }

    public void setInterfaceName(QName interfaceName) {
    }

    public void setMessage(NormalizedMessage msg, String name) throws MessagingException {
    }

    public void setOperation(QName name) {
    }

    public void setProperty(String name, Object obj) {
    }

    public void setService(QName service) {
    }

    public void setStatus(ExchangeStatus status) throws MessagingException {
    }

}
