/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockServiceEndpoint.java 617 2006-06-19 15:28:41Z wjoseph $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.xlinker.mock;

import javax.xml.namespace.QName;

import org.w3c.dom.DocumentFragment;


/**
 * @version	$Rev: 250 $ $Date: 2006-04-21 14:20:57 +0200 (ven, 21 avr 2006) $
 * @since	Petals 1.0
 * @author wjoseph - EBM Webousourcing
 *
 */
public class MockServiceEndpoint implements javax.jbi.servicedesc.ServiceEndpoint {

    private QName serviceName;
    
    private String endpointName;
    
    public MockServiceEndpoint(QName serviceName, String endpointName) {
        super();
        this.serviceName = serviceName;
        this.endpointName = endpointName;
    }

    public DocumentFragment getAsReference(QName operationName) {
        return null;
    }

    public String getEndpointName() {
        return endpointName;
    }

    public QName[] getInterfaces() {
        return null;
    }

    public QName getServiceName() {
        return serviceName;
    }

}
