package org.objectweb.rentacar.persistance.dao;

/**
 * Deals with all exceptions raised using DAO Entities
 * @author ofabre, mcarpentier
 */
public class DAOException extends Exception {

	private static final long serialVersionUID = 1L;

	public DAOException() {
		super();
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 * @param e the exception
	 */
	public DAOException(String message, Throwable e) {
		super(message, e);
	}

	/**
	 * @param e the exception
	 */
	public DAOException(Throwable e) {
		super(e);
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 */
	public DAOException(String message) {
		super(message);
	}

}
