package org.objectweb.rentacar.util;


/**
 * @author mcarpentier Uses ConfigHelper to load the rentacar's configuration File.
 */
public class RentacarConfigHelper {

	public static String getProperty(String comp, String key) throws RentacarUtilException {
		String property = null;		
		try {
			property = PropertiesLoader.getProperty("database.properties", key);				
		}
		catch (PropertyLoadingException e) {
			throw new RentacarUtilException("Error opening property file", e);
		}				
		return property;
	}

}
