/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MortgageGuiLauncher.java 154 25 juin 2006 ofabre $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.demo.mortgage.gui;

import org.objectweb.petals.demo.mortgage.gui.gui.Console;

/**
 * This class is used to launch the GUI of the mortgage demonstration
 * 
 * @author ofabre - EBM Websourcing
 * 
 */
public class MortgageGuiLauncher {


    /**
     * Start the Console linked to a new MortgageClient.
     * @param args
     */
    public static void main(String[] args) {
        /*
         * Init the Console with a new MortgageClient.
         */
        //MortgageClient client = new JaxWsMortgageClient();
        MortgageClient client = new Axis2MortgageClient();
        Console console = new Console(client);
        client.setConsole(console);
        console.setVisible(true);
    }
}
