/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ComponentContextMock.java 09:27:11 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.demo.mortgage.gui.mock;

import java.util.MissingResourceException;
import java.util.logging.Logger;

import javax.jbi.JBIException;
import javax.jbi.component.ComponentContext;
import javax.jbi.management.MBeanNames;
import javax.jbi.messaging.DeliveryChannel;
import javax.jbi.messaging.MessagingException;
import javax.jbi.servicedesc.ServiceEndpoint;
import javax.management.MBeanServer;
import javax.naming.InitialContext;
import javax.xml.namespace.QName;

import org.w3c.dom.Document;
import org.w3c.dom.DocumentFragment;

/**
 * Mock object of the ComponentContext
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ComponentContextMock implements ComponentContext {

    public ServiceEndpoint activateEndpoint(QName serviceName,
        String endpointName) throws JBIException {
        return null;
    }

    public void deactivateEndpoint(ServiceEndpoint endpoint)
        throws JBIException {
    }

    public void deregisterExternalEndpoint(ServiceEndpoint externalEndpoint)
        throws JBIException {
    }

    public String getComponentName() {
        return null;
    }

    public DeliveryChannel getDeliveryChannel() throws MessagingException {
        return deliveryChannel;
    }

    private DeliveryChannel deliveryChannel;

    public void setDeliveryChannel(DeliveryChannel deliveryChannel) {
        this.deliveryChannel = deliveryChannel;
    }

    public ServiceEndpoint getEndpoint(QName service, String name) {
        return null;
    }

    public Document getEndpointDescriptor(ServiceEndpoint endpoint)
        throws JBIException {
        return null;
    }

    public ServiceEndpoint[] getEndpoints(QName interfaceName) {
        return null;
    }

    public ServiceEndpoint[] getEndpointsForService(QName serviceName) {
        return null;
    }

    public ServiceEndpoint[] getExternalEndpoints(QName interfaceName) {
        return null;
    }

    public ServiceEndpoint[] getExternalEndpointsForService(QName serviceName) {
        return null;
    }

    public String getInstallRoot() {
        return null;
    }

    public Logger getLogger(String suffix, String resourceBundleName)
        throws MissingResourceException, JBIException {
        return null;
    }

    public MBeanNames getMBeanNames() {
        return null;
    }

    public MBeanServer getMBeanServer() {
        return null;
    }

    public InitialContext getNamingContext() {
        return null;
    }

    public Object getTransactionManager() {
        return null;
    }

    public String getWorkspaceRoot() {
        return null;
    }

    public void registerExternalEndpoint(ServiceEndpoint externalEndpoint)
        throws JBIException {
    }

    public ServiceEndpoint resolveEndpointReference(DocumentFragment epr) {
        return null;
    }

}
