/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.management.deployment;

import java.net.URI;

import org.objectweb.petals.tools.jbicommon.descriptor.JBIDescriptor;

/**
 * 
 * @author ofabre
 * 
 */
public class ServiceAssemblyDataHandler {

	private String name;

	private JBIDescriptor descriptor;

	private URI archiveURI;

	public ServiceAssemblyDataHandler(String name, JBIDescriptor descriptor,
			URI archiveURI) {
		super();
		this.name = name;
		this.descriptor = descriptor;
		this.archiveURI = archiveURI;
	}

	public URI getArchiveURI() {
		return archiveURI;
	}

	public void setArchiveURI(URI archiveURI) {
		this.archiveURI = archiveURI;
	}

	public JBIDescriptor getDescriptor() {
		return descriptor;
	}

	public void setDescriptor(JBIDescriptor descriptor) {
		this.descriptor = descriptor;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
