/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ConnectionMock.java 12:35:39 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.component.lifecycle.mock;

import javax.xml.namespace.QName;

import org.objectweb.petals.tools.jbicommon.descriptor.Connection;


/**
 * Mock object of the Connection
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ConnectionMock extends Connection {

    private QName consumerInterfaceName;

    private QName consumerServiceName;

    private String consumerEndpointName;

    private QName providerServiceName;

    private String providerEndpointName;

    public String getConsumerEndpointName() {
        return consumerEndpointName;
    }

    public void setConsumerEndpointName(String consumerEndpointName) {
        this.consumerEndpointName = consumerEndpointName;
    }

    public QName getConsumerInterfaceName() {
        return consumerInterfaceName;
    }

    public void setConsumerInterfaceName(QName consumerInterfaceName) {
        this.consumerInterfaceName = consumerInterfaceName;
    }

    public QName getConsumerServiceName() {
        return consumerServiceName;
    }

    public void setConsumerServiceName(QName consumerServiceName) {
        this.consumerServiceName = consumerServiceName;
    }

    public String getProviderEndpointName() {
        return providerEndpointName;
    }

    public void setProviderEndpointName(String providerEndpointName) {
        this.providerEndpointName = providerEndpointName;
    }

    public QName getProviderServiceName() {
        return providerServiceName;
    }

    public void setProviderServiceName(QName providerServiceName) {
        this.providerServiceName = providerServiceName;
    }

}
