/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockComponentContext.java 11:33:07 AM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.component.mock;

import java.util.MissingResourceException;
import java.util.logging.Logger;

import javax.jbi.JBIException;
import javax.jbi.component.ComponentContext;
import javax.jbi.management.MBeanNames;
import javax.jbi.messaging.DeliveryChannel;
import javax.jbi.messaging.MessagingException;
import javax.jbi.servicedesc.ServiceEndpoint;
import javax.management.MBeanServer;
import javax.naming.InitialContext;
import javax.xml.namespace.QName;

import org.w3c.dom.Document;
import org.w3c.dom.DocumentFragment;

/**
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class MockComponentContext implements ComponentContext {

    private boolean getMBeanNames;

    private boolean getMBeanServer;

    private boolean getNamingContext;

    private boolean getTransactionManager;

    public ServiceEndpoint activateEndpoint(QName serviceName,
        String endpointName) throws JBIException {
        return null;
    }

    public void deactivateEndpoint(ServiceEndpoint endpoint)
        throws JBIException {
    }

    public void deregisterExternalEndpoint(ServiceEndpoint externalEndpoint)
        throws JBIException {
    }

    public String getComponentName() {
        return null;
    }

    public DeliveryChannel getDeliveryChannel() throws MessagingException {
        return null;
    }

    public ServiceEndpoint getEndpoint(QName service, String name) {
        return null;
    }

    public Document getEndpointDescriptor(ServiceEndpoint endpoint)
        throws JBIException {
        return null;
    }

    public ServiceEndpoint[] getEndpoints(QName interfaceName) {
        return null;
    }

    public ServiceEndpoint[] getEndpointsForService(QName serviceName) {
        return null;
    }

    public ServiceEndpoint[] getExternalEndpoints(QName interfaceName) {
        return null;
    }

    public ServiceEndpoint[] getExternalEndpointsForService(QName serviceName) {
        return null;
    }

    public String getInstallRoot() {
        return "root";
    }

    public Logger getLogger(String suffix, String resourceBundleName)
        throws MissingResourceException, JBIException {
        return null;
    }

    public MBeanNames getMBeanNames() {
        getMBeanNames = true;
        return null;
    }

    public MBeanServer getMBeanServer() {
        getMBeanServer = true;
        return null;
    }

    public InitialContext getNamingContext() {
        getNamingContext = true;
        return null;
    }

    public Object getTransactionManager() {
        getTransactionManager = true;
        return null;
    }

    public String getWorkspaceRoot() {
        return null;
    }

    public boolean isGetMBeanNames() {
        return getMBeanNames;
    }

    public boolean isGetMBeanServer() {
        return getMBeanServer;
    }

    public boolean isGetNamingContext() {
        return getNamingContext;
    }

    public boolean isGetTransactionManager() {
        return getTransactionManager;
    }

    public void registerExternalEndpoint(ServiceEndpoint externalEndpoint)
        throws JBIException {
    }

    public ServiceEndpoint resolveEndpointReference(DocumentFragment epr) {
        return null;
    }

    public void setGetMBeanNames(boolean getMBeanNames) {
        this.getMBeanNames = getMBeanNames;
    }

    public void setGetMBeanServer(boolean getMBeanServer) {
        this.getMBeanServer = getMBeanServer;
    }

    public void setGetNamingContext(boolean getNamingContext) {
        this.getNamingContext = getNamingContext;
    }

    public void setGetTransactionManager(boolean getTransactionManager) {
        this.getTransactionManager = getTransactionManager;
    }

}
