/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockRegistry.java 4:06:09 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.routing.mock;

import java.util.List;

import javax.jbi.servicedesc.ServiceEndpoint;
import javax.naming.Context;
import javax.xml.namespace.QName;

import org.objectweb.petals.jbi.registry.AbstractEndpoint;
import org.objectweb.petals.jbi.registry.LinkedEndpoint;
import org.objectweb.petals.jbi.registry.Registry;
import org.objectweb.petals.jbi.registry.RegistryException;

/**
 * Mock object of the registry
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class MockRegistry implements Registry {

    public void deregisterExternalEndpoint(ServiceEndpoint externalEndpoint)
        throws RegistryException {
    }

    public void deregisterInternalEndpoint(AbstractEndpoint endpoint)
        throws RegistryException {
    }

    public AbstractEndpoint[] getExternalEndpointsForInterface(
        QName interfaceName) throws RegistryException {
        return null;
    }

    public AbstractEndpoint[] getExternalEndpointsForService(QName serviceName) {
        return null;
    }

    public AbstractEndpoint getInternalEndpoint(QName service, String name)
        throws RegistryException {
        return null;
    }

    public AbstractEndpoint[] getInternalEndpointsForInterface(
        QName interfaceName) throws RegistryException {
        return null;
    }

    public AbstractEndpoint[] getInternalEndpointsForService(QName serviceName) {
        return null;
    }

    public void registerExternalEndpoint(ServiceEndpoint externalEndpoint)
        throws RegistryException {
    }

    public void registerInternalEndpoint(AbstractEndpoint endpoint)
        throws RegistryException {
    }

    public void validateEndpoint(AbstractEndpoint endpoint)
        throws RegistryException {
    }

    public List<AbstractEndpoint> retrieveNewEndpoints()
        throws RegistryException {
        return null;
    }

    public void registerConnection(LinkedEndpoint linkedEndpoint)
        throws RegistryException {
    }

    public AbstractEndpoint getExternalEndpoint(QName service, String name)
        throws RegistryException {
        return null;
    }

    public void deregisterConnection(LinkedEndpoint connection)
        throws RegistryException {
    }

    public void cleanNewEndpoints() throws RegistryException {
    }

    public AbstractEndpoint getInternalEndpoint(QName service, String name, boolean resolveLink) throws RegistryException {
        return null;
    }

    public Context getUsersContext() {
        return null;
    }

}
