/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ServiceUnitTest.java 16:20:19 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.bean;

import junit.framework.TestCase;

/**
 * Test of the ServiceUnit
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ServiceUnitTest extends TestCase {

    public void testSetComponent() {
        JBIEntity entity = new JBIEntity();
        entity.setDescription("test");
        entity.setName("test");
        ServiceUnit serviceUnit = new ServiceUnit();
        serviceUnit.setComponent(entity);
        assertEquals(serviceUnit.getComponent(), entity);
    }

    public void testSetName() {
        ServiceUnit serviceUnit = new ServiceUnit();
        serviceUnit.setName("test");
        assertEquals(serviceUnit.getName(), "test");
    }

}
