/**
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005  EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 */
package org.objectweb.petals.tools.ant;

import org.apache.tools.ant.BuildException;
import org.objectweb.petals.tools.ant.managers.JBIAntTaskAbstract;

/**
 * Task used to list the shared library
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ListSharedLibraryTask extends JBIAntTaskAbstract {

    /**
     * List the shared libraries that the component depends on. Without this
     * parameter, all the shared libraries in the JBI Environment are displayed.
     */
//    private String componentName;

    /**
     * If supplied, only the named shared library is reported. If the shared
     * library doesn’t exist, an empty component-list report is given.
     */
//    private String sharedLibraryName;

    /**
     * If supplied, set the given Ant property name value to the XML version of
     * this listing task.
     */
//    private String xmlOutput;

    public ListSharedLibraryTask() {
        super();
    }

    /**
     * Execute the ant task
     * 
     * @throws IOException
     */
    public void execute() throws BuildException {
        // try {
        throw new BuildException("The implementation is not done yet");
        // } catch (Exception e) {
        // if (Boolean.parseBoolean(failOnError)) {
        // throw new BuildException(e.getMessage(), e.getCause());
        // }
        // }
    }

//    public void setComponentName(String componentName) {
//        this.componentName = componentName;
//    }

//    public void setSharedLibraryName(String sharedLibraryName) {
//        this.sharedLibraryName = sharedLibraryName;
//    }

//    public void setXmlOutput(String xmlOutput) {
//        this.xmlOutput = xmlOutput;
//    }
}
