/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: SimpleServiceUnitManager.java 601 2006-06-13 12:53:50Z wjoseph $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.component.common.basic;

import java.util.Map;
import java.util.logging.Logger;

import javax.jbi.component.ComponentContext;
import javax.jbi.management.DeploymentException;

/**
 * Generic service unit manager. Only handles one type of service unit.
 * Endpoints are activated by this manager.
 * 
 * @version $Rev: 250 $ $Date: 2006-04-21 14:20:57 +0200 (ven, 21 avr 2006) $
 * @since Petals 1.0
 * @author wjoseph - eBMWebsourcing
 */
public class SimpleServiceUnitManager extends AbstractServiceUnitManager {

    /**
     * Default constructor
     */
    public SimpleServiceUnitManager() {
        super();
    }

    /**
     * Create a new SimpleServiceUnitManager
     * 
     * @param context
     * @param log
     * @throws DeploymentException
     */
    public SimpleServiceUnitManager(ComponentContext context, Logger log)
        throws DeploymentException {
        super(context, log);
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.objectweb.petals.component.common.basic.AbstractServiceUnitManager#deploy(java.util.Map)
     */
    @Override
    protected void deploy(Map<String, String> extensions) {
    }
}
