/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: XlinkerServiceUnitManagerTest.java 154 18 mai 2006 wjoseph $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.xlinker.servicemanager;

import java.util.logging.Logger;

import junit.framework.TestCase;

import org.objectweb.petals.binding.xlinker.mock.MockComponentContext;
import org.objectweb.petals.binding.xlinker.mock.MockXlinkerBC;
import org.objectweb.petals.binding.xlinker.servicemanager.XlinkerServiceUnitManager;

/**
 * Tests for XlinkerServiceUnitHandler
 * @author wjoseph - EBM Websourcing
 * 
 */
public class XlinkerServiceUnitManagerTest extends TestCase {

    
    @Override
    protected void setUp() throws Exception {
    }
    
    public void testGetXlinkerBC () {
        /*
         * Test Case 1
         */
        MockComponentContext ctx = new MockComponentContext();
        Logger log = Logger.getAnonymousLogger();
        MockXlinkerBC xlink = new MockXlinkerBC();
        XlinkerServiceUnitManager sum = null;
        Object result = null;
        try {
        sum = new XlinkerServiceUnitManager(ctx,log,xlink);
        } catch (Exception e) {
            e.printStackTrace();
            fail("Could not create new XlinkerServiceUnitManager");
        }
        
        /*
         * Run Test Case 1 
         */
        result = sum.getXlinkerBC();
        assertEquals("Wrong XlinkerBC returnesd",result,xlink);
    }
    
}
