/**
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005 EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: MockLifeCycleManagerService.java,v 1.2 2005/07/22 10:24:27 wjoseh Exp $
 * --------------------------------------------------------------------------  
 */
package org.objectweb.petals.jbi.mock;

import java.util.Map;

import javax.management.MBeanServer;
import javax.management.ObjectName;

import org.objectweb.petals.jbi.component.lifecycle.ComponentLifeCycle;
import org.objectweb.petals.jbi.component.lifecycle.Installer;
import org.objectweb.petals.jbi.component.lifecycle.LifeCycleAbstract;
import org.objectweb.petals.jbi.component.lifecycle.ServiceAssemblyLifeCycle;
import org.objectweb.petals.jbi.management.service.LifeCycleManagerService;
import org.objectweb.petals.jbi.management.service.MBeanNamesImpl;
import org.objectweb.petals.jbi.management.service.ManagementException;

public class MockLifeCycleManagerService implements LifeCycleManagerService {

    public ObjectName getAdminServiceMBeanName() throws ManagementException {
        return null;
    }

    public Map<ObjectName, ComponentLifeCycle> getBindingCompoLifeCycles() {
        return null;
    }

    public ComponentLifeCycle getComponentByName(String name) {
        return null;
    }

    public ObjectName getDeploymentServiceMBeanName()
        throws ManagementException {
        return null;
    }

    public Map<ObjectName, ComponentLifeCycle> getEngineCompoLifeCycles() {
        return null;
    }

    public ObjectName getInstallationServiceMBeanName()
        throws ManagementException {
        return null;
    }

    public ObjectName getInstallerByName(String name) {
        return null;
    }

    public Map<ObjectName, Installer> getInstallers() {
        return null;
    }

    public MBeanNamesImpl getMBeanNames() {
        return null;
    }

    public MBeanServer getMBeanServer() {
        return null;
    }

    public ServiceAssemblyLifeCycle getServiceAssemblyByName(String saName) {
        return null;
    }

    public Map<String, ServiceAssemblyLifeCycle> getServiceAssemblyLifeCycles() {
        return null;
    }

    public Map<ObjectName, LifeCycleAbstract> getSystemServices() {
        return null;
    }

    public ObjectName registerBindingComponent(ComponentLifeCycle lifeCycle)
        throws ManagementException {
        return null;
    }

    public ObjectName registerEngineComponent(ComponentLifeCycle lifeCycle)
        throws ManagementException {
        return null;
    }

    public ObjectName registerInstaller(Installer installerMBean)
        throws ManagementException {
        return null;
    }

    public void registerServiceAssembly(String saName,
            ServiceAssemblyLifeCycle serviceAssemblyLifeCycle) {
    }

    public void unregisterBindingComponent(ObjectName name)
        throws ManagementException {
    }

    public void unregisterEngineComponent(ObjectName name)
        throws ManagementException {
    }

    public void unregisterInstaller(ObjectName name) throws ManagementException {
        throw new ManagementException("unregisterInstaller testing exception");
    }

    public void unregisterServiceAssembly(String saName)
        throws ManagementException {
    }

}
