/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: PetalsCommandProcessorTest.java 4:33:51 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.kernel.mx4j;

import javax.management.MBeanServer;
import javax.xml.parsers.DocumentBuilder;

import junit.framework.TestCase;
import mx4j.tools.adaptor.http.ServerCommandProcessor;

import org.easymock.classextension.EasyMock;

/**
 * Test of the PetalsCommandProcessor
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class PetalsCommandProcessorTest extends TestCase {

//    public void testExecuteRequest() throws ParserConfigurationException,
//        SAXException, IOException, JMException, TransformerException {
//        String baseDir = this.getClass().getResource(".").toString();
//        baseDir = baseDir.substring(0, baseDir.indexOf("target"));
//        baseDir = baseDir.substring(baseDir.indexOf(":") + 1);
//
//        DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
//        DocumentBuilder builder = factory.newDocumentBuilder();
//        Document document = builder.parse(new File(baseDir + File.separator
//            + "src" + File.separator + "test-data" + File.separator + "mx4j"
//            + File.separator + "server.xml"));
//
//        PetalsCommandProcessor petalsCommandProcessor = new PetalsCommandProcessor();
//
//        ServerCommandProcessor serverCommandProcessor = EasyMock
//            .createMock(ServerCommandProcessor.class);
//
//        EasyMock.expect(serverCommandProcessor.executeRequest(null)).andReturn(
//            document).anyTimes();
//
//        EasyMock.replay(serverCommandProcessor);
//
//        petalsCommandProcessor.serverCommandProcessor = serverCommandProcessor;
//        petalsCommandProcessor.documentBuilder = builder;
//
//        Document doc = petalsCommandProcessor.executeRequest(null);
//
//        String xmlResult = FileUtils
//            .readFileToString(new File(baseDir + File.separator + "src"
//                + File.separator + "test-data" + File.separator + "mx4j"
//                + File.separator + "result.xml"), "UTF-8");
//        assertEquals(xmlResult, XMLUtil.createStringFromDOMDocument(doc));
//    }

    public void testSetDocumentBuilder() {
        PetalsCommandProcessor petalsCommandProcessor = new PetalsCommandProcessor();
        DocumentBuilder documentBuilder = EasyMock
            .createMock(DocumentBuilder.class);

        petalsCommandProcessor.setDocumentBuilder(documentBuilder);

        assertEquals(petalsCommandProcessor.documentBuilder, documentBuilder);
    }

    public void testSetMBeanServer() {
        PetalsCommandProcessor petalsCommandProcessor = new PetalsCommandProcessor();
        MBeanServer mBeanServer = EasyMock.createMock(MBeanServer.class);

        ServerCommandProcessor serverCommandProcessor = EasyMock
            .createMock(ServerCommandProcessor.class);
        
        serverCommandProcessor.setMBeanServer(mBeanServer);

        EasyMock.replay(serverCommandProcessor);
        petalsCommandProcessor.serverCommandProcessor = serverCommandProcessor;

        petalsCommandProcessor.setMBeanServer(mBeanServer);
    }

}
